# -*- coding: utf-8 -*-

import random

import clips

if __name__ == "__main__":
    clips.Clear()
    clips.EngineConfig.Strategy = clips.RANDOM_STRATEGY
    
    random.seed()
    clips.Eval("(seed " + str(random.randint(0,9999)) + ")")

    clips.Load('funciones.clp')
    clips.Load('f1.clp')
    clips.Load('mover.clp')
    clips.Load('texto.clp')
    clips.Load('traducirF.clp')
    clips.Load('traducirM.clp')

    clips.Load('./equipoA.clp')
    clips.Load('./equipoB.clp')

    clips.Load('fA.clp')
    clips.Load('./reglasA.clp')
    clips.Load('fB.clp')
    clips.Load('./reglasB.clp')

    clips.Reset() #restart the environment

    clips.Run() #start the simulation
    t = clips.StdoutStream.Read()

    print t
    
